EVP_PKEY_new(3)

NAME
EVP_PKEY_new, EVP_PKEY_free - private key allocation functions.

LIBRARY
libcrypto, -lcrypto

SYNOPSIS
 #include <openssl/evp.h>

 EVP_PKEY *EVP_PKEY_new(void);
 void EVP_PKEY_free(EVP_PKEY *key);

DESCRIPTION
The EVP_PKEY_new() function allocates an empty EVP_PKEY structure which is used by OpenSSL to store private keys.

EVP_PKEY_free() frees up the private key key.

NOTES
The EVP_PKEY structure is used by various OpenSSL functions which require a general private key without reference to any particular algorithm.

The structure returned by EVP_PKEY_new() is empty. To add a private key to this empty structure the functions described in EVP_PKEY_set1_RSA(3) should be used.

RETURN VALUES
EVP_PKEY_new() returns either the newly allocated EVP_PKEY structure of NULL if an error occurred.

EVP_PKEY_free() does not return a value.

SEE ALSO
EVP_PKEY_set1_RSA(3)

HISTORY
TBA